View Issue Details

IDProjectCategoryView StatusLast Update
0003004TechDrawFeaturepublic2020-02-20 21:24
ReporterKunda1 Assigned Towandererfan  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.17 
Target Version0.19Fixed in Version0.19 
Summary0003004: TechDraw - "non-Vertex" Dimensions
DescriptionThere is a need for Dimensions that do not rely on specific vertex/edges, but on extrema of the figure - for example, overall width/height.
(https://www.freecadweb.org/wiki/TechDraw_Roadmap/en)
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0004114 new TechDraw Workbench Intersection dimensioning. 

Activities

terok

2018-01-10 13:14

reporter   ~0010734

Last edited: 2018-03-01 10:28

View 2 revisions

I would like to try fix this (terok).


I opened discussion here: https://forum.freecadweb.org/viewtopic.php?f=35&t=26289&p=208597#p208597

Update on 1st March 2018: I think this is too big job for me. Someone else can implement this.

Kunda1

2019-09-05 19:38

administrator   ~0013533

Related: 0004114

wandererfan

2019-10-12 12:32

manager   ~0013748

Discussion of potential solution

wandererfan

2020-02-20 15:32

manager   ~0014166

Horizontal and Vertical Extent Dimensions implemented.

gt commit/a7d9661b1d5c5795

Kunda1

2020-02-20 21:11

administrator   ~0014169

FreeCAD master a7d9661b

Kunda1

2020-02-20 21:13

administrator   ~0014170

Closing ticket as it has been associated to the commit in MantisBT Source Integration

Related Changesets

FreeCAD: master a7d9661b

2019-10-23 00:28:05

wandererfan

Details Diff
[TD]Extent Dimensions Affected Issues
0003004
mod - src/Mod/TechDraw/App/AppTechDraw.cpp Diff File
mod - src/Mod/TechDraw/App/AppTechDrawPy.cpp Diff File
mod - src/Mod/TechDraw/App/CMakeLists.txt Diff File
mod - src/Mod/TechDraw/App/Cosmetic.cpp Diff File
mod - src/Mod/TechDraw/App/Cosmetic.h Diff File
add - src/Mod/TechDraw/App/DrawDimHelper.cpp Diff File
add - src/Mod/TechDraw/App/DrawDimHelper.h Diff File
mod - src/Mod/TechDraw/App/DrawUtil.cpp Diff File
mod - src/Mod/TechDraw/App/DrawUtil.h Diff File
add - src/Mod/TechDraw/App/DrawViewDimExtent.cpp Diff File
add - src/Mod/TechDraw/App/DrawViewDimExtent.h Diff File
add - src/Mod/TechDraw/App/DrawViewDimExtentPy.xml Diff File
add - src/Mod/TechDraw/App/DrawViewDimExtentPyImp.cpp Diff File
mod - src/Mod/TechDraw/App/DrawViewPart.cpp Diff File
mod - src/Mod/TechDraw/App/DrawViewPart.h Diff File
mod - src/Mod/TechDraw/App/Geometry.cpp Diff File
mod - src/Mod/TechDraw/App/Geometry.h Diff File
mod - src/Mod/TechDraw/App/GeometryObject.cpp Diff File
mod - src/Mod/TechDraw/Gui/CommandCreateDims.cpp Diff File
mod - src/Mod/TechDraw/Gui/Resources/TechDraw.qrc Diff File
add - src/Mod/TechDraw/Gui/Resources/icons/TechDraw_Dimension_HExtent.svg Diff File
add - src/Mod/TechDraw/Gui/Resources/icons/TechDraw_Dimension_VExtent.svg Diff File
mod - src/Mod/TechDraw/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2017-04-29 14:38 Kunda1 New Issue
2018-01-10 13:14 terok Note Added: 0010734
2018-03-01 10:28 terok Note Edited: 0010734 View Revisions
2019-09-05 19:37 Kunda1 Relationship added related to 0004114
2019-09-05 19:38 Kunda1 Note Added: 0013533
2019-10-12 12:32 wandererfan Note Added: 0013748
2020-02-20 15:32 wandererfan Note Added: 0014166
2020-02-20 15:33 wandererfan Status new => resolved
2020-02-20 15:33 wandererfan Resolution open => fixed
2020-02-20 15:33 wandererfan Fixed in Version => 0.19
2020-02-20 15:33 wandererfan Target Version => 0.19
2020-02-20 21:11 Kunda1 Note Added: 0014169
2020-02-20 21:12 Kunda1 Changeset attached => FreeCAD master a7d9661b
2020-02-20 21:13 Kunda1 Assigned To => Kunda1
2020-02-20 21:13 Kunda1 Status resolved => closed
2020-02-20 21:13 Kunda1 Note Added: 0014170
2020-02-20 21:24 Kunda1 Assigned To Kunda1 => wandererfan